
#ifndef _RPMPACKAGEDATA_H_
#define _RPMPACKAGEDATA_H_


#include <apt-pkg/tagfile.h>
#include <apt-pkg/pkgcache.h>

#include <map>
#include <list>
#include <regex.h>

using namespace std;

class RPMPackageData 
{
   protected:

   map<string,pkgCache::State::VerPriority> Priorities;
   map<string,pkgCache::Flag::PkgFlags> Flags;
   map<string,list<string>*> FakeProvides;
   map<string,int> IgnorePackages;
   list<regex_t*> HoldPackages;   

   public:

   inline pkgCache::State::VerPriority VerPriority(string Package) 
   	{return Priorities[Package];};
   inline pkgCache::Flag::PkgFlags PkgFlags(string Package) 
   	{return Flags[Package];};

   bool HoldPackage(const char *name);
   bool IgnorePackage(string Name);
   bool IgnoreDep(pkgVersioningSystem &VS,pkgCache::DepIterator &Dep);

   static RPMPackageData *Singleton();

   RPMPackageData();
};


#endif
